org.cybergarage.upnp

## Class DeviceList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Device>
      - - org.cybergarage.upnp.DeviceList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Device>, Collection<Device>, List<Device>, RandomAccess

      public class DeviceList
      extends Vector<Device>

  A collection of UPnP devices.

  This class extends Vector to manage multiple Device objects that represent UPnP devices discovered on the network. It provides type-safe collection management for device enumeration and organization.

  Key features:

  - Type-safe device collection
  - XML element name constant
  - Vector-based implementation for efficiency
  - Device discovery result management
  - Control point integration

  This class is used by UPnP control points to maintain collections of discovered devices, enabling organized device management and enumeration for application use.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEM_NAME`

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Device` | `getDevice(int n)`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### ELEM_NAME

          public static final String ELEM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeviceList

          public DeviceList()

  - ### Method Detail

    - #### getDevice

          public Device getDevice(int n)